> ## Documentation Index
> Fetch the complete documentation index at: https://gaia-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update MCP Server

> Updates configuration for a specific MCP server

## Path Parameters

<ParamField path="id" type="string" required>
  MCP server ID
</ParamField>

## Request Body

All fields are optional. Only provide fields you want to update.

<ParamField body="name" type="string">
  Server name
</ParamField>

<ParamField body="description" type="string">
  Server description
</ParamField>

<ParamField body="url" type="string">
  Server URL
</ParamField>

<ParamField body="customHeaders" type="array">
  Custom HTTP headers

  <Expandable title="Header Object">
    <ParamField body="key" type="string">
      Header key
    </ParamField>

    <ParamField body="value" type="string">
      Header value
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="oauthClientId" type="string">
  OAuth client ID
</ParamField>

<ParamField body="oauthClientSecret" type="string">
  OAuth client secret
</ParamField>

<ParamField body="oauthScope" type="string">
  OAuth scope
</ParamField>

<ParamField body="proxyUrl" type="string">
  Proxy server URL
</ParamField>

<ParamField body="proxyAuthToken" type="string">
  Proxy authentication token
</ParamField>

<ParamField body="status" type="string">
  Server status: `connecting`, `connected`, `disconnected`, or `error`
</ParamField>

<ParamField body="capabilities" type="object">
  Server capabilities
</ParamField>

<ParamField body="serverImplementation" type="object">
  Server implementation details
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the update was successful
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.example.com/api/mcp/servers/mcp_abc123 \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Updated Server Name",
      "description": "Updated description"
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.example.com/api/mcp/servers/mcp_abc123',
    {
      method: 'PATCH',
      headers: {
        'Authorization': 'Bearer YOUR_API_KEY',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        name: 'Updated Server Name',
        description: 'Updated description'
      })
    }
  );

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.patch(
      'https://api.example.com/api/mcp/servers/mcp_abc123',
      headers={
          'Authorization': 'Bearer YOUR_API_KEY',
          'Content-Type': 'application/json'
      },
      json={
          'name': 'Updated Server Name',
          'description': 'Updated description'
      }
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true
  }
  ```

  ```json Not Found theme={null}
  {
    "success": false,
    "message": "MCP server not found"
  }
  ```
</ResponseExample>
